> ## Documentation Index
> Fetch the complete documentation index at: https://developers.kardinal.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Request a new OTP code for the MFA config update validation



## OpenAPI

````yaml /openapi.yaml post /auth/mfa/resendOTP
openapi: 3.0.3
info:
  title: Kardinal ARO API
  version: 2.55.0
  description: This document specifies the REST API of Kardinal ARO v2.
  contact:
    url: https://kardinal.ai/
    email: contact@kardinal.ai
servers:
  - url: /api/v2
security:
  - access_token: []
tags:
  - name: Authenticate
    description: How to authenticate, and manage the access and refresh tokens.
  - name: Plan
    description: How to create, retrieve, update and delete plans.
  - name: Resource
    description: How to create, retrieve, update and delete resources in a plan.
  - name: Order
    description: How to create, retrieve, update and delete orders in a plan.
  - name: SimplePlan
    description: How to create a plan through the use of a simple plan.
paths:
  /auth/mfa/resendOTP:
    post:
      tags:
        - Authenticate
      summary: Request a new OTP code for the MFA config update validation
      operationId: requestNewMFAOTPCode
      requestBody:
        content:
          application/json:
            schema:
              oneOf:
                - $ref: '#/components/schemas/MFAConfigResendEmail'
                - $ref: '#/components/schemas/MFAConfigResendSMS'
      responses:
        '204':
          description: The OTP code was resent.
        '401':
          $ref: '#/components/responses/NotAuthenticated'
        '403':
          $ref: '#/components/responses/Forbidden'
        '429':
          description: Too many requests.
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - otp_token: []
components:
  schemas:
    MFAConfigResendEmail:
      type: object
      description: >-
        A request to resend the OTP code for the OTP type "email" during the
        user's MFA configuration.
      properties:
        otpType:
          type: string
          enum:
            - email
          description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
        email:
          $ref: '#/components/schemas/Email'
      required:
        - otpType
        - email
    MFAConfigResendSMS:
      type: object
      description: >-
        A request to resend the OTP code for the OTP type "sms" during the
        user's MFA configuration.
      properties:
        otpType:
          type: string
          enum:
            - sms
          description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
        phoneNumber:
          $ref: '#/components/schemas/PhoneNumber'
      required:
        - otpType
        - phoneNumber
    Email:
      type: string
      description: A valid email address.
      format: email
      example: martin.dupont@kardinal.ai
    PhoneNumber:
      type: string
      description: Phone number in E.164 international format (e.g., +33612345678).
      pattern: ^\+[1-9]\d{1,14}$
      example: '+33612345678'
    EnvelopedErrors:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
      description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
    Error:
      type: object
      readOnly: true
      properties:
        code:
          type: string
          description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
        message:
          type: string
          description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
        properties:
          $ref: '#/components/schemas/ErrorProperties'
      required:
        - message
        - code
      description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
    ErrorProperties:
      type: object
      additionalProperties:
        type: string
      description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
  responses:
    NotAuthenticated:
      description: The caller is not authenticated.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/EnvelopedErrors'
    Forbidden:
      description: The caller is not allowed to perform this action.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/EnvelopedErrors'
    InternalServerError:
      description: An internal server error has occurred.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/EnvelopedErrors'
  securitySchemes:
    access_token:
      type: http
      scheme: bearer
      bearerFormat: JWT
    otp_token:
      type: http
      scheme: bearer
      bearerFormat: JWT

````